%define section devel

Summary:        Easy Hibernate Cache
Name:           ehcache
Version:        1.1
Release:        1jpp
Epoch:          0
License:        LGPL
URL:            http://ehcache.sourceforge.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ehcache-1.1.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/ehcache login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/ehcache export -r RELEASE_1_1 ehcache
Patch0:         ehcache-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  junit
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  antlr
BuildRequires:  checkstyle
BuildRequires:  checkstyle-optional
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-logging
BuildRequires:  concurrent
BuildRequires:  hibernate = 0:2.1.6
BuildRequires:  regexp
#
Requires:  /usr/sbin/update-alternatives
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-logging
Requires:  hibernate = 0:2.1.6
Requires:  regexp
Provides:  ehcache-bootstrap = 0:2.1.6
Provides:  hibernate_in_process_cache
Obsoletes:  ehcache-bootstrap
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
EHCache is a pure Java, in-process cache with the
following features: Fast, Simple, Acts as a pluggable
cache for Hibernate 2.1.  Small foot print. Both in
terms of size and memory requirements. Minimal dependencies.
Fully documented.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
Javadoc for %{name}.

%prep
%setup -q -n %{name}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav

%build
mkdir -p build/test-classes
export OPT_JAR_LIST="antlr checkstyle checkstyle-optional ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
commons-beanutils \
commons-logging \
regexp \
)
pushd tools
ln -sf $(build-classpath antlr) .
ln -sf $(build-classpath checkstyle) .
ln -sf $(build-classpath checkstyle-optional) .
ln -sf $(build-classpath commons-beanutils) .
ln -sf $(build-classpath commons-collections) .
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath concurrent) .
ln -sf $(build-classpath hibernate) .
ln -sf $(build-classpath regexp) .
ln -sf $(build-classpath junit) .
popd
ant build dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/dist/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} 
  ln -sf %{name}-%{version}.jar %{name}.jar
)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf doc/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# hibernate_in_process_cache ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/hibernate_in_process_cache.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_javadir}/hibernate_in_process_cache.jar \
  hibernate_in_process_cache %{_javadir}/%{name}.jar 90

%preun
{
  [ $1 -eq 0 ] || exit 0
  update-alternatives --remove hibernate_in_process_cache %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar
%ghost %{_javadir}/hibernate_in_process_cache.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%changelog
* Tue Nov 01 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.1-1jpp
- Upgrade to 1.1

* Sat Jul 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.0-2jpp
- Inhibit failure due to checkstyle

* Tue Dec 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- Upgrade to 1.0
- Drop many wrong Requires and BuildRequires

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9-1jpp
- Upgrade to 0.9
- Drop saxpath requirements
- Require jaxen >= 1.1

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8-3jpp
- Build with ant-1.6.2

* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8-2jpp
- Relax some versioned dependencies
- Provide hibernate_in_process_cache and do update-alternatives, prio 90
- Continue providing ehcache-bootstrap but obsolete package ehcache-bootstrap
- Fix jboss4 dependencies to = 4.0.0

* Thu Jun 10 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8-1jpp
- First JPackage release.
